swazy

Użytkownik forum
  • Content Count

    6
  • Joined

  • Last visited

  1. U mnie też link wygaśnięty...
  2. Jeśli to powyżej Ci nie odpowiada to myślę, że mógłbym wyskrobać Ci takie narzędzie.
  3. Mógłbyś bardziej zobrazować o co Ci chodzi? Może jestem w stanie pomóc ale trochę nie rozumiem jaki ma być efekt końcowy i gdzie ma być ten numer i prefix.
  4. Cześć! W przypływie noworocznego natchnienia postanowiłem opanować sztukę tworzenia własnych MENU (jak na screenie). Chciałbym zrobić swoją wstążkę (nie wiem czy to poprawna nazwa) a w niej byłyby zebrane moje LISP-y. Mam już ich sporo i czasem zapominam ich skrótów, poza tym własna wstążka w menu wygląda szpanersko Problem w tym, że nie za bardzo wyszło mi wygooglowanie przykładowego (tak bardzo łopatologicznego, żebym był w stanie to pojąć) posta/tutorialu jak się coś takie cudo wytwarza. W związku z tym moje pytanie - czy ktoś mógłby podrzucić jakieś materiały cobym się mógł wtajemniczyć?
  5. Nie rozumiem "vlax'ów". Jadę póki co na "AutoLISP. Praktyczny kurs" Marka Dudka a tam vlax'y nie występują Poradziłem sobie rozbijając polilinie i robiąc ponownie zbiór. W każdym razie dziękuję bardzo za pomoc! P.S. A jakie jest najbardziej ortodoksyjnie łopatologiczne opracowanie, żeby ogarnąć Visual Auto Lips?
  6. Cześć! Wiem, że tytuł nie jest zbyt profesjonalny, ale nie mam pomysłu na lepsze zsyntezowanie mojego problemu, wszelkie googlowania i kombinacje własne też mi nie pomogły. Zacząłem się bawić w pisanie LISPów do AutoCADa (robię to od bardzo niedawna na bardzo niewysokim poziomie). Mam taki fragment kodu: (setq SS (ssget "x" '( (-4 . "<OR") (-4 . "<AND") (8 . "K_*ciany *elbetowe") (-4 . "<OR") (0 . "POLYLINE") (0 . "LWPOLYLINE") (0 . "LINE") (-4 . "OR>") (-4 . "AND>") (-4 . "<AND") (8 . "K_tarcze") (-4 . "<OR") (0 . "POLYLINE") (0 . "LWPOLYLINE") (0 . "LINE") (-4 . "OR>") (-4 . "AND>") (-4 . "OR>") ) ));setq (command "move" SS "" (list 0 0 0) (list 0 -5000 0) );command Idea jest taka, żeby wybrać elementy z wyżej opisanego warunku i przesunąć to o 50m w dół (5 000 jednostek). W praktyce oprócz tych elementów KOPIUJE (nawet nie przesuwa a kopiuje) się hatch znajdujacy się pomiedzy tymi liniami (chociaż nie znajduje się na ww. warstwach). Najśmieszniejsze jest to, że kopiuje się tylko część HATCH'ów a reszta zachowuje się tak, jak moim zdaniem powinna. Dlaczego tak się dzieje? Czy da się "rozłączyć" granice kreskowania i te elementy? Pozdrawiam Mateusz